Subject: Re: [PATCH 15/16] Add device tree for Ebony

From: David Gibson <[email-masked]>
Date: Thu, 15 Feb 2007 10:17:34 +1100

On Wed, Feb 14, 2007 at 06:48:02PM +0100, Segher Boessenkool wrote:
> >>> +			clock-frequency = <5F5E100>; /* 100MHz FIXME: poke in zImage */
> >>> +			timebase-frequency = <5F5E100>; /* 100MHz FIXME: wrong, poke in
> >>> zImage */
> >>
> >> Can't you use decimal for these?
> >
> > dtc doesn't support decimal cells at present.  Suggest a good syntax
> > for doing it, and I'll add the feature.
> 
> d# 100000000    like is used in "real" OF?

Sorry, I don't entirely follow.  How does this sit in the context of a
dtc property definition? foo = <d# 100>;?  foo = d# 100 200;?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson